# Header-only package

Name:           frozen
Version:        1.2.0
Release:        %mkrel 2
Summary:        A header-only, constexpr alternative to gperf for C++14 users
Group:          Development/C

License:        Apache-2.0
URL:            https://github.com/serge-sans-paille/frozen
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
# Make sure we only build on 64bit host
ExclusiveArch:  x86_64 aarch64

BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
Header-only library that provides 0 cost initialization
for immutable containers, fixed-size containers, and
various algorithms.

%package devel
Summary:        Development files for %{name}
Group:          Development/C
BuildArch:      noarch
Requires:       pkgconfig
Provides:       %{name}-static = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q


%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%check
%ctest

%install
%cmake_install


%files devel
%license LICENSE
%doc examples/ AUTHORS README.rst
%{_includedir}/frozen/
%{_datadir}/cmake/%{name}/



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.2.0-2.mga10
+ Revision: 2230615
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2120455
- new version: 1.2.0

* Mon Jan 08 2024 tv <tv> 1.1.1-7.mga10
+ Revision: 2029001
- Fix error of find_package(frozen) in CMake

* Sun Sep 17 2023 daviddavid <daviddavid> 1.1.1-6.mga10
+ Revision: 1987584
- as headers only pkg it should be completely noarch and make sure
  we only build on a 64bit host

* Sun Sep 17 2023 tv <tv> 1.1.1-5.mga10
+ Revision: 1987446
- Workaround gcc bug: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=108158

* Sat Sep 16 2023 tv <tv> 1.1.1-4.mga10
+ Revision: 1987218
- Enable aarch64 too

* Sat Sep 16 2023 tv <tv> 1.1.1-3.mga10
+ Revision: 1987213
- Only build on x86_64 due to i586 failure
- imported package frozen


* Wed Jul 19 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.1.1-3
- Drop main package.

* Tue Jul 18 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.1.1-2
- review fixes.

* Mon Jul 17 2023 Gwyn Ciesla <gwync@protonmail.com> - 1.1.1-1
- Initial package.
